--- ngrep/ngrep.c	Mon Dec 31 23:11:00 2001
+++ ngrep-ECN/ngrep.c	Tue May 27 13:16:45 2003
@@ -456,13 +456,15 @@
       if (tcphdr_offset || !frag_offset) {
 	printf("%s:%d -", inet_ntoa(ip_packet->ip_src), ntohs(tcp->th_sport));
 	printf("> %s:%d", inet_ntoa(ip_packet->ip_dst), ntohs(tcp->th_dport));
-	printf(" [%s%s%s%s%s%s]",
+	printf(" [%s%s%s%s%s%s%s%s]",
 	       (tcp->th_flags & TH_ACK)?"A":"",
 	       (tcp->th_flags & TH_SYN)?"S":"",
 	       (tcp->th_flags & TH_RST)?"R":"",
 	       (tcp->th_flags & TH_FIN)?"F":"",
 	       (tcp->th_flags & TH_URG)?"U":"",
-	       (tcp->th_flags & TH_PUSH)?"P":"");
+	       (tcp->th_flags & TH_PUSH)?"P":"",
+	       (tcp->th_flags & TH_ECE)?"E":"",
+	       (tcp->th_flags & TH_CWR)?"C":"");
       } else {
 	printf("%s -", inet_ntoa(ip_packet->ip_src));
 	printf("> %s", inet_ntoa(ip_packet->ip_dst));
